%global modulename cross-spawn

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-cross-spawn
Version:        6.0.5
Release:        1%{?dist}
Summary:        Cross platform child_process#spawn and child_process#spawnSync

License:        MIT
URL:            https://github.com/moxystudio/node-cross-spawn
Source0:        https://registry.npmjs.org/cross-spawn/-/cross-spawn-6.0.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(nice-try) >= 1.0.4 with npmlib(nice-try) < 2.0.0))
BuildRequires:  ((npmlib(path-key) >= 2.0.1 with npmlib(path-key) < 3.0.0))
BuildRequires:  ((npmlib(semver) >= 5.5.0 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(shebang-command) >= 1.2.0 with npmlib(shebang-command) < 2.0.0))
BuildRequires:  ((npmlib(which) >= 1.2.9 with npmlib(which) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Cross platform child_process#spawn and child_process#spawnSync

%package 6.0.5
Summary:        Cross platform child_process#spawn and child_process#spawnSync


%description 6.0.5
Cross platform child_process#spawn and child_process#spawnSync

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 6.0.5
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 6.0.5-1
- Package automatically generated by npm2srpm
